#
# spec file for package perl-File-Copy-Recursive
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-File-Copy-Recursive
Version:        0.38
Release:        11.5
License:        Artistic-1.0 or GPL-1.0+
%define cpan_name File-Copy-Recursive
Summary:        Perl extension for recursively copying files and directories
Url:            http://search.cpan.org/dist/File-Copy-Recursive/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/D/DM/DMUEY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module copies and moves directories recursively (or single files,
well... singley) to an optional depth and attempts to preserve each file or
directory's mode.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Dec  2 2011 coolo@suse.com
- regenerate with cpanspec (to fix license)
* Thu Dec  1 2011 idoenmez@suse.de
- Cleanup spec formatting
- Add license boilerplate
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- initial package (0.38)
